
// Logarithmic functions.
#include <cstdlib>
#include <Spectre/Math/Math.h>

namespace math {

	#define	LOG2INBASE10 0.30102999566f

	double log(double base, double value) {

		return log10(value) / log10(base);
	}

	double log2(double value) {

		return log10(value) / LOG2INBASE10;
	}

}; // namespace math
